%define         major   0.4
%define         minor   1

Name:           gloobus-preview
Version:        %{major}.%{minor}
Release:        %mkrel 3
Summary:        A Gnome extension to enable previews for any kind of file

Group:          File tools          
License:        GPLv3
URL:            https://launchpad.net/gloobus-preview

Source0:        http://launchpad.net/gloobus/gloobus-{%major}/%{version}/+download/%{name}-%{version}.tar.gz
# This patch fixes problems with autotools not respecting install directories
# it also includes the rebuild of the autotools scripts required
Patch0:         gloobus-location-prereconf.patch
Patch1:         gloobus-page-render-to-pixbuf.patch

BuildRequires:  gtk2-devel
BuildRequires:  libgvfs-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  cairomm-devel
BuildRequires:  taglib-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  unoconv
BuildRequires:  gtksourceview2-devel
BuildRequires:  clutter-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
BuildRequires:  autoconf
Requires:	GConf2

%description
Gloobus Preview allows instant access to a variety of file types without the 
need to open their default applications.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
find . -name '*.cpp' -exec chmod -x {} \;
find . -name '*.h' -exec chmod -x {} \;
libtoolize
autoreconf -if

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/gloobus
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop

%doc README AUTHORS COPYING THANKS


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 351827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Rebuild against new libcmis

* Tue Nov 08 2011 dams <dams> 0.4.1-1.mga2
+ Revision: 165519
- fix typo on patch0 (missing space)
- imported package gloobus-preview

